Click or drag to resize

LinearDimensionGet3dPoints Method

Get locations of dimension's 3d points

Namespace:  Rhino.Geometry
Assembly:  RhinoCommon (in RhinoCommon.dll)
Syntax
public bool Get3dPoints(
	out Point3d extensionLine1End,
	out Point3d extensionLine2End,
	out Point3d arrowhead1End,
	out Point3d arrowhead2End,
	out Point3d dimlinepoint,
	out Point3d textpoint
)

Parameters

extensionLine1End
Type: Rhino.GeometryPoint3d

[Missing <param name="extensionLine1End"/> documentation for "M:Rhino.Geometry.LinearDimension.Get3dPoints(Rhino.Geometry.Point3d@,Rhino.Geometry.Point3d@,Rhino.Geometry.Point3d@,Rhino.Geometry.Point3d@,Rhino.Geometry.Point3d@,Rhino.Geometry.Point3d@)"]

extensionLine2End
Type: Rhino.GeometryPoint3d

[Missing <param name="extensionLine2End"/> documentation for "M:Rhino.Geometry.LinearDimension.Get3dPoints(Rhino.Geometry.Point3d@,Rhino.Geometry.Point3d@,Rhino.Geometry.Point3d@,Rhino.Geometry.Point3d@,Rhino.Geometry.Point3d@,Rhino.Geometry.Point3d@)"]

arrowhead1End
Type: Rhino.GeometryPoint3d

[Missing <param name="arrowhead1End"/> documentation for "M:Rhino.Geometry.LinearDimension.Get3dPoints(Rhino.Geometry.Point3d@,Rhino.Geometry.Point3d@,Rhino.Geometry.Point3d@,Rhino.Geometry.Point3d@,Rhino.Geometry.Point3d@,Rhino.Geometry.Point3d@)"]

arrowhead2End
Type: Rhino.GeometryPoint3d

[Missing <param name="arrowhead2End"/> documentation for "M:Rhino.Geometry.LinearDimension.Get3dPoints(Rhino.Geometry.Point3d@,Rhino.Geometry.Point3d@,Rhino.Geometry.Point3d@,Rhino.Geometry.Point3d@,Rhino.Geometry.Point3d@,Rhino.Geometry.Point3d@)"]

dimlinepoint
Type: Rhino.GeometryPoint3d

[Missing <param name="dimlinepoint"/> documentation for "M:Rhino.Geometry.LinearDimension.Get3dPoints(Rhino.Geometry.Point3d@,Rhino.Geometry.Point3d@,Rhino.Geometry.Point3d@,Rhino.Geometry.Point3d@,Rhino.Geometry.Point3d@,Rhino.Geometry.Point3d@)"]

textpoint
Type: Rhino.GeometryPoint3d

[Missing <param name="textpoint"/> documentation for "M:Rhino.Geometry.LinearDimension.Get3dPoints(Rhino.Geometry.Point3d@,Rhino.Geometry.Point3d@,Rhino.Geometry.Point3d@,Rhino.Geometry.Point3d@,Rhino.Geometry.Point3d@,Rhino.Geometry.Point3d@)"]

Return Value

Type: Boolean

[Missing <returns> documentation for "M:Rhino.Geometry.LinearDimension.Get3dPoints(Rhino.Geometry.Point3d@,Rhino.Geometry.Point3d@,Rhino.Geometry.Point3d@,Rhino.Geometry.Point3d@,Rhino.Geometry.Point3d@,Rhino.Geometry.Point3d@)"]

Version Information

Rhino for Windows

Supported in: 6.6
See Also